> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the API calls made with your credentials

> Newest first. Calls are kept for 30 days.

**Scopes:** `access_log:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/tenant/access-log
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/tenant/access-log:
    get:
      tags:
        - Access Log
      summary: List the API calls made with your credentials
      description: |-
        Newest first. Calls are kept for 30 days.

        **Scopes:** `access_log:read`
      operationId: list_access_log_v0_tenant_access_log_get
      parameters:
        - name: start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Start
        - name: end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: End
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 599
                minimum: 100
              - type: 'null'
            title: Status
        - name: status_class
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/StatusClass'
              - type: 'null'
            title: Status Class
        - name: failed
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Failed
        - name: business_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: biz_string
              - type: 'null'
            title: Business Id
        - name: client_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Client Id
        - name: endpoint
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Endpoint
        - name: method
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/HttpMethod'
              - type: 'null'
            title: Method
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessLogEntriesPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2ClientCredentialsBearer:
            - access_log:read
components:
  schemas:
    StatusClass:
      type: string
      enum:
        - 2xx
        - 3xx
        - 4xx
        - 5xx
      title: StatusClass
    HttpMethod:
      type: string
      enum:
        - GET
        - POST
        - PUT
        - PATCH
        - DELETE
      title: HttpMethod
    AccessLogEntriesPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/AccessLogEntryPublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: AccessLogEntriesPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    AccessLogEntryPublic:
      properties:
        request_id:
          type: string
          format: rid_string
          title: Request Id
          description: The id returned in the call's `X-Request-Id` header
          examples:
            - rid_ppu75G8gBVH4SPLYFAPXo
        timestamp:
          type: string
          format: date-time
          title: Timestamp
          description: When the call was received
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
          description: The `client_id` of the API client that made the call
        business_id:
          anyOf:
            - type: string
              format: biz_string
            - type: 'null'
          title: Business Id
          description: The Business the call acted on, if any
        method:
          type: string
          title: Method
          description: The HTTP method
          examples:
            - POST
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
          description: The endpoint that was called, as a route template
          examples:
            - /v0/business/{business_id}/invoice
        path:
          type: string
          title: Path
          description: The path that was called, without the query string
          examples:
            - /v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/invoice
        status:
          type: integer
          title: Status
          description: The HTTP status returned
          examples:
            - 201
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: For a failed call, the error returned
        error_details:
          anyOf:
            - items:
                $ref: '#/components/schemas/AccessLogErrorDetail'
              type: array
            - type: 'null'
          title: Error Details
          description: For a validation error, which fields failed and why
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
          description: The IP address the call came from
        user_agent:
          anyOf:
            - type: string
            - type: 'null'
          title: User Agent
          description: The User-Agent header sent
      type: object
      required:
        - request_id
        - timestamp
        - client_id
        - business_id
        - method
        - endpoint
        - path
        - status
        - error
        - error_details
        - ip_address
        - user_agent
      title: AccessLogEntryPublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    AccessLogErrorDetail:
      properties:
        field:
          anyOf:
            - type: string
            - type: 'null'
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: AccessLogErrorDetail
  securitySchemes:
    OAuth2ClientCredentialsBearer:
      type: oauth2
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /v0/auth/token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.